How to get this started on Ubuntu

  • #1, by fedor-van-eldijkWednesday, 10. August, 17:33 A month ago
    I have downloaded the testversion for Linux.

    I set the downloaded appImage to executable, but when I start it, it does not get any further than an empty window.

    I am trying to run it on Ubuntu 20.04 LTS with an Nvidia GeForce GTX 1060 graphics card. 

    There seems to be no log files in the directory the appImage is in.

    Newbie

    15 Posts


  • #2, by fedor-van-eldijkThursday, 11. August, 09:01 A month ago
    Is this software still maintained? Is the Linux version supported? I really would love to get this started on my Linux machine to get creative.

    Newbie

    15 Posts

  • #3, by SimonSThursday, 11. August, 09:02 A month ago
    To have more log info you can start it from a terminal.

    Thread Captain

    1552 Posts

  • #4, by fedor-van-eldijkThursday, 11. August, 09:19 A month ago
    I tried as suggested... it gave me this:

    fedor@studeerkamerPC:~/projecten/visionaire studio$ ./vis.AppImage


    SDL Dynamic API Failure!
    Couldn't load overriding SDL library. Please fix or remove the SDL_DYNAMIC_API environment variable. Using the default SDL.

    5:37:45.168:Initializing graphics interface. Surface size: 1366x768, render size: 1366x768
    5:37:45.237:Loading '/tmp/.mount_vis.Ap1sDbsO/xml/images.xml'...
    5:37:45.237:Loading image-list "etypedata"...
    5:37:45.248:Loading '/tmp/.mount_vis.Ap1sDbsO/xml/language.2.english.xml'...
    5:37:47.154:Loading '/tmp/.mount_vis.Ap1sDbsO/xml/structures.xml'...
    5:37:47.155:Loading '/tmp/.mount_vis.Ap1sDbsO/xml/actions.xml'...
    5:37:47.155:Loading '/tmp/.mount_vis.Ap1sDbsO/xml/actionParts.xml'...
    5:37:47.156:Finished sorting action parts.
    5:37:47.156:Loading valid links...
    5:37:47.157:Successfully loaded 'xml/validlinks.xml'.
    5:37:50.000:no uniform bias in shader
    5:37:50.000:OpenGL init: Incomplete attachment.
    5:37:50.002:no uniform resolution in shader
    5:37:50.002:no uniform resolution in shader

    This was on my Ubuntu 20.04 desktop with a NVidia graphics card, I get the same message on my Ubuntu 22.04 laptop that has an Intel graphics card.

    Newbie

    15 Posts

  • #5, by SimonSThursday, 11. August, 09:24 A month ago
    Just tried Ubuntu 20 in my VMware and that works... Seems to be something about the Nvidia drivers, I'll see if I can setup one of my systems with that to test it.

    Thread Captain

    1552 Posts

  • #6, by fedor-van-eldijkThursday, 11. August, 09:30 A month ago
    It does exactly the same on my Laptop that has an Intel graphics card.


    Newbie

    15 Posts

  • #7, by fedor-van-eldijkThursday, 11. August, 12:18 A month ago
    It seems to be a problem more people are experiencing:

    Newbie

    15 Posts

  • #8, by SimonSThursday, 11. August, 17:46 A month ago
    Try downloading it again, I think I have fixed it.

    Thread Captain

    1552 Posts

  • #9, by fedor-van-eldijkFriday, 12. August, 06:31 A month ago
    It did start now. I get the option to create a new game. But when I do, it says I need to give it a directory to store the files in. When I click 'OK', the application crashes with the following error:

    (viseditor:171903): Pango-ERROR **: 06:29:06.405: Harfbuzz version too old (1.8.8)
    
    Trace/breakpoint trap (core dumped)
    
    It looks like Visionaire-Studio crashed! If you need support, please include the
    contents of the log file in your problem report.
    Unfortunately, no log file has been created!


    Newbie

    15 Posts

  • #10, by SimonSFriday, 12. August, 10:34 A month ago
    And try again.

    Thread Captain

    1552 Posts

  • #11, by fedor-van-eldijkFriday, 12. August, 14:58 A month ago
    Wauw... it is working now!

    Did some intensive but pretty aimless clicking. Everything seems to be working.

    Thanks for your speedy assistance!

    Newbie

    15 Posts

Write post